ur_rna.StructureEditor.services

## Class SceneColorizer.PairProbabilityData

- java.lang.Object
- - ur_rna.StructureEditor.services.SceneColorizer.PairProbabilityData

- Enclosing class:
    SceneColorizer

      public static class SceneColorizer.PairProbabilityData
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `N`
    `private double[]` | `values`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PairProbabilityData(int nucCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getPair(int i, int j)` Get the probability of pairing between Nucs I and J.
    `double` | `getSingle(int i)` Get the probability that Nuc I is single-stranded.
    `void` | `setPair(int i, int j, double value)` Set the probability of pairing between Nucs I and J.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### N

          private int N

    - #### values

          private double[] values

  - ### Constructor Detail

    - #### PairProbabilityData

          public PairProbabilityData(int nucCount)

  - ### Method Detail

    - #### getPair

          public double getPair(int i,
                                int j)

      Get the probability of pairing between Nucs I and J. The indices are assumed to be 0-based.

    - #### getSingle

          public double getSingle(int i)

      Get the probability that Nuc I is single-stranded. This is the same as 1.0 - SUM(getPair(I, J)) for all J != I

    - #### setPair

          public void setPair(int i,
                              int j,
                              double value)

      Set the probability of pairing between Nucs I and J. The indices are assumed to be 0-based.